/*
 * blanco Framework
 * Copyright (C) 2004-2005 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.test.valueobject.method;

import blanco.ig.expander.Type;
import blanco.ig.expander.method.MethodExpander;
import blanco.test.valueobject.resourcebundle.BlancoValueObjectTestResourceBundle;
import blanco.valueobject.valueobject.BlancoValueObjectClassStructure;

/**
 * String^̃tB[ĥ߂JUnitpJava\[XR[h܂B
 * 
 * @author IGA Tosiki
 */
public class BlancoValueObjectXml2JUnitToStringMethod extends MethodExpander {
    private final BlancoValueObjectTestResourceBundle bundle = new BlancoValueObjectTestResourceBundle();

    private BlancoValueObjectClassStructure classInfo = null;

    /**
     * String^̃tB[h邽߂̃\bhNX̃RXgN^
     * 
     * @param arg
     *            \bh
     * @param classStructure
     *            ݏ̃NX\
     * @param fieldInfo
     *            ݏ̃tB[h
     * @param isNameAdjust
     *            Oό`sǂB
     */
    public BlancoValueObjectXml2JUnitToStringMethod(
            final BlancoValueObjectClassStructure classStructure) {
        super("testToString");
        classInfo = classStructure;
    }

    /**
     * \bh̃VOj`w
     */
    public void setupSignature() {
        addException(new Type("java.lang.Exception"));
    }

    /**
     * \bh̎
     */
    public void implement() {
        getData().addLine(
                "final " + classInfo.getName() + " valueObject = new "
                        + classInfo.getName() + "();");
        getData().addLine("System.out.println(valueObject.toString());");
    }
}
